<?xml version="1.0" encoding="utf-8"?>

<creole>
    <variables>
       <family name='GPO' icon='windows'>
            <variable name='activer_eole_gpos' type='oui/non' description="Activer le chargement des GPO Eole">
                 <value>non</value>
            </variable>

            <variable name='eole_gpos_a_supprimer' type='string' description="Liste des GPO à supprimer" multi='True' >
            </variable>

            <variable name='eole_gpos_a_charger' type='string' description="Liste des GPO à charger" multi='True' >
            </variable>

            <variable name='eole_gpos_names' type='string' description="Nom de la GPO" multi='True' >
            </variable>
            <variable name='eole_gpos_uo' type='string' description="Unité d'organisation" multi='True' />

        </family>

        <separators>
            <separator name='activer_eole_gpos'>GPOs EOLE</separator>
        </separators>

        <separators>
            <separator name='eole_gpos_names'>Association GPO - Unités d'Organisation</separator>
        </separators>
    </variables>

    <constraints>
       <check name="valid_enum" target="eole_gpos_a_supprimer">
           <param>['eole_affichage_bginfo',
 'eole_bureau_public_technologie',
 'eole_configuration_environnement',
 'eole_configuration_machine',
 'eole_install_minion',
 'eole_install_rclone',
 'eole_levee_restrictions_eleves',
 'eole_nextcloud_install_on_boot',
 'eole_parefeu_active',
 'eole_parefeu_desactive',
 'eole_professeurs_administrateurs_dans_ses_salles',
 'eole_ps',
 'eole_redirection_bureau_personnel',
 'eole_redirection_dossiers',
 'eole_remove_onedrive',
 'eole_restrictions_eleves',
 'eole_uac_desactivee',
 'eole_uac_normale']</param>
            <param name="checkval">False</param>
       </check>

       <check name="valid_enum" target="eole_gpos_a_charger">
           <param>['eole_affichage_bginfo',
 'eole_bureau_public_technologie',
 'eole_configuration_environnement',
 'eole_configuration_machine',
 'eole_install_minion',
 'eole_install_rclone',
 'eole_levee_restrictions_eleves',
 'eole_nextcloud_install_on_boot',
 'eole_parefeu_active',
 'eole_parefeu_desactive',
 'eole_professeurs_administrateurs_dans_ses_salles',
 'eole_ps',
 'eole_redirection_bureau_personnel',
 'eole_redirection_dossiers',
 'eole_remove_onedrive',
 'eole_restrictions_eleves',
 'eole_uac_desactivee',
 'eole_uac_normale']</param>
            <param name="checkval">False</param>
       </check>

       <group master='eole_gpos_names'>
            <slave>eole_gpos_uo</slave>
       </group>

       <condition name='disabled_if_not_in' source='activer_eole_gpos'>
           <param>oui</param>
           <target type='variable'>eole_gpos_a_supprimer</target>
           <target type='variable'>eole_gpos_a_charger</target>
           <target type='variable'>eole_gpos_names</target>
        </condition>

    </constraints>

    <help>
        <variable name='activer_eole_gpos'>Activer le chargement des GPO EOLE</variable>
        <variable name='eole_gpos_a_charger'>Liste des GPOs à charger dans l'AD/SYSVOL</variable>
        <variable name='eole_gpos_a_supprimer'>Liste des GPOs à supprimer si elles sont présentes</variable>
        <variable name='eole_gpos_names'>Gpo à appliquer</variable>
        <variable name='eole_gpos_uo'>Unité d'organisation à lier</variable>
    </help>
</creole>
<!-- vim: ts=4 sw=4 expandtab
-->
